package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 告警保护方案下发日志对象 ems_fault_issue_log
 *
 * @author xzzn
 * @date 2025-11-15
 */
public class EmsFaultIssueLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 日志ID（UUID） */
    @Excel(name = "日志ID", readConverterExp = "U=UID")
    private String logId;

    /** 日志时间（精确到秒） */
    @Excel(name = "日志时间", readConverterExp = "精=确到秒")
    private Date logTime;

    /** 日志等级（同方案等级1/2/3等） */
    @Excel(name = "日志等级", readConverterExp = "同=方案等级1/2/3等")
    private Integer logLevel;

    /** 站点名称/编号 */
    @Excel(name = "站点名称/编号")
    private String siteId;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 操作点位 */
    @Excel(name = "操作点位")
    private String point;

    /** 设置数据 */
    @Excel(name = "设置数据")
    private BigDecimal value;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setLogId(String logId)
    {
        this.logId = logId;
    }

    public String getLogId()
    {
        return logId;
    }

    public void setLogTime(Date logTime)
    {
        this.logTime = logTime;
    }

    public Date getLogTime()
    {
        return logTime;
    }

    public void setLogLevel(Integer logLevel)
    {
        this.logLevel = logLevel;
    }

    public Integer getLogLevel()
    {
        return logLevel;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setPoint(String point)
    {
        this.point = point;
    }

    public String getPoint()
    {
        return point;
    }

    public void setValue(BigDecimal value)
    {
        this.value = value;
    }

    public BigDecimal getValue()
    {
        return value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("logId", getLogId())
                .append("logTime", getLogTime())
                .append("logLevel", getLogLevel())
                .append("site", getSiteId())
                .append("deviceId", getDeviceId())
                .append("point", getPoint())
                .append("value", getValue())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
